import { PropsWithChildren } from 'react';
import { i18n } from 'i18next';
interface LanguageContextType {
    language: string;
    setLanguage: (lng: string) => void;
    t: i18n['t'];
    i18n: i18n;
}
interface ILanguageResource {
    lng: string;
    translation: Record<string, any>;
}
interface LanguageProviderProps {
    language: string | undefined;
    languageResources: ILanguageResource[];
}
declare function LanguageProvider(props: PropsWithChildren<Partial<LanguageProviderProps>>): import("react/jsx-runtime").JSX.Element;
declare function useLanguage(): LanguageContextType;
export { LanguageProvider, useLanguage };
export type { LanguageContextType, ILanguageResource };
